<?php

namespace app\admin\model;

use support\Db;
use support\Model;

/**
 * 产品订单
 * Class Users
 * @package app\admin\model
 */
class MedicalCareOrder extends Model
{
    /**
     *
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'medical_care_order';

    public $timestamps = false;

    /**
     * Notes:获取产品列表
     * @param string $keywords
     * @param int $page
     * @param int $limit
     * @return array
     * User: QJF
     * Date: 2022/9/27
     */
    public static function getOrderList(int $page, int $limit,$keywords)
    {
        $list = static::select('*')
            ->with(['user','Shop'])
            ->when($keywords != '', function ($query) use ($keywords){
                $query->where('order_sn', 'like', '%' . $keywords . '%');
            })
            ->orderBy('order_create_time','DESC')
            ->forPage($page, $limit)
            ->get();

        $count = static::when($keywords != '', function ($query) use ($keywords){
            $query->where('order_sn', 'like', '%' . $keywords . '%');
        })->count();
        return [$list, $count];
    }

    public function Attr(){
        return $this->hasMany(MedicalCareProductAttr::class,'attr_product_id','product_id')->where(['attr_is_delete'=>0]);
    }
    //关联店铺
    public function Shop(){
        return $this->belongsTo(MerchantShop::class,'order_shop_id','shop_id');
    }
    //获取器修改产品标签
   public function User(){
        return $this->belongsTo(User::class,'order_user_id','user_id');
   }
}